# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor7_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 7.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%define unstable 0

%if !%buildfor7_2
Name:		kde-i18n-sl
%else
Name:		kde-i18n-Slovenian
%endif
Summary:	Slovenian language support for KDE
Version:	2.2.1
Release:	1mdk
Group:		Graphical desktop/KDE
License:	GPL
URL:		http://www.kde.org/
Icon:		kde-icon.xpm

Source:		%name-%version.tar.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root
%if !%buildfor7_2
Obsoletes:	kde-i18n-Slovenian
%endif
Requires:	locales-sl
BuildArch:	noarch

%description
Slovenian language support for KDE.

%prep

%setup -q -n %name

%build
%configure

%make


%install
rm -fr %buildroot

make install DESTDIR=%buildroot


%clean
rm -fr %buildroot


%files
%defattr(-,root,root,-)
%dir %_docdir/HTML/
%dir %_docdir/HTML/sl/
%dir %_docdir/HTML/sl/common/
%doc %_docdir/HTML/sl/common/fdl-license
%doc %_docdir/HTML/sl/common/gpl-license
%doc %_docdir/HTML/sl/common/*.css
%doc %_docdir/HTML/sl/common/*.dcl
%doc %_docdir/HTML/sl/common/*.html
%doc %_docdir/HTML/sl/common/*.png
#
#
%dir %_docdir/HTML/sl/kaddressbook/
%doc %_docdir/HTML/sl/kaddressbook/common
%doc %_docdir/HTML/sl/kaddressbook/*.docbook
%doc %_docdir/HTML/sl/kaddressbook/*.bz2
#
#
%dir %_docdir/HTML/sl/kcontrol/
%doc %_docdir/HTML/sl/kcontrol/common
%doc %_docdir/HTML/sl/kcontrol/*.docbook
%doc %_docdir/HTML/sl/kcontrol/*.png
%doc %_docdir/HTML/sl/kcontrol/*.bz2
#
%dir %_docdir/HTML/sl/kate/
%doc %_docdir/HTML/sl/kate/common
%doc %_docdir/HTML/sl/kate/*.docbook
%doc %_docdir/HTML/sl/kate/*.bz2
#
#
#
%dir %_docdir/HTML/sl/kdebugdialog/
%doc %_docdir/HTML/sl/kdebugdialog/common
%doc %_docdir/HTML/sl/kdebugdialog/*.docbook
%doc %_docdir/HTML/sl/kdebugdialog/*.bz2
#
#
%dir %_docdir/HTML/sl/kdesu/
%doc %_docdir/HTML/sl/kdesu/common
%doc %_docdir/HTML/sl/kdesu/*.docbook
%doc %_docdir/HTML/sl/kdesu/*.bz2
#
#
%dir %_docdir/HTML/sl/kdm/
%doc %_docdir/HTML/sl/kdm/common
%doc %_docdir/HTML/sl/kdm/*.docbook
%doc %_docdir/HTML/sl/kdm/*.bz2
#
#
%dir %_docdir/HTML/sl/kdvi/
%doc %_docdir/HTML/sl/kdvi/common
%doc %_docdir/HTML/sl/kdvi/*.docbook
%doc %_docdir/HTML/sl/kdvi/*.bz2
#
#
%dir %_docdir/HTML/sl/kedit/
%doc %_docdir/HTML/sl/kedit/common
%doc %_docdir/HTML/sl/kedit/*.docbook
%doc %_docdir/HTML/sl/kedit/*.bz2
#
#
%dir %_docdir/HTML/sl/khelpcenter/
%doc %_docdir/HTML/sl/khelpcenter/common
%doc %_docdir/HTML/sl/khelpcenter/*.css
%doc %_docdir/HTML/sl/khelpcenter/*.docbook
%doc %_docdir/HTML/sl/khelpcenter/*.html
%doc %_docdir/HTML/sl/khelpcenter/*.png
%doc %_docdir/HTML/sl/khelpcenter/*.xpm
%doc %_docdir/HTML/sl/khelpcenter/*.bz2
#
%dir %_docdir/HTML/sl/khelpcenter/faq/
%doc %_docdir/HTML/sl/khelpcenter/faq/common
%doc %_docdir/HTML/sl/khelpcenter/faq/*.docbook
%doc %_docdir/HTML/sl/khelpcenter/faq/*.bz2
#
%dir %_docdir/HTML/sl/khelpcenter/glossary/
%doc %_docdir/HTML/sl/khelpcenter/glossary/common
%doc %_docdir/HTML/sl/khelpcenter/glossary/*.docbook
%doc %_docdir/HTML/sl/khelpcenter/glossary/*.bz2
#
%dir %_docdir/HTML/sl/khelpcenter/quickstart/
%doc %_docdir/HTML/sl/khelpcenter/quickstart/common
%doc %_docdir/HTML/sl/khelpcenter/quickstart/*.docbook
%doc %_docdir/HTML/sl/khelpcenter/quickstart/*.bz2
#
%dir %_docdir/HTML/sl/khelpcenter/userguide/
%doc %_docdir/HTML/sl/khelpcenter/userguide/common
%doc %_docdir/HTML/sl/khelpcenter/userguide/*.docbook
%doc %_docdir/HTML/sl/khelpcenter/userguide/*.bz2
#
%dir %_docdir/HTML/sl/khelpcenter/visualdict/
%doc %_docdir/HTML/sl/khelpcenter/visualdict/common
%doc %_docdir/HTML/sl/khelpcenter/visualdict/*.docbook
%doc %_docdir/HTML/sl/khelpcenter/visualdict/*.png
%doc %_docdir/HTML/sl/khelpcenter/visualdict/*.bz2
#
#
%dir %_docdir/HTML/sl/keystone/
%doc %_docdir/HTML/sl/keystone/common
%doc %_docdir/HTML/sl/keystone/*.docbook
%doc %_docdir/HTML/sl/keystone/*.bz2
#
#
%dir %_docdir/HTML/sl/kicker/
%doc %_docdir/HTML/sl/kicker/common
%doc %_docdir/HTML/sl/kicker/*.docbook
%doc %_docdir/HTML/sl/kicker/*.bz2
#
#
%dir %_docdir/HTML/sl/kioslave/
%doc %_docdir/HTML/sl/kioslave/*.docbook
%doc %_docdir/HTML/sl/kioslave/*.bz2
#
#
%dir %_docdir/HTML/sl/klipper/
%doc %_docdir/HTML/sl/klipper/common
%doc %_docdir/HTML/sl/klipper/*.docbook
%doc %_docdir/HTML/sl/klipper/*.bz2
#
%dir %_docdir/HTML/sl/kit/
%doc %_docdir/HTML/sl/kit/common
%doc %_docdir/HTML/sl/kit/*.docbook
%doc %_docdir/HTML/sl/kit/*.bz2
#
%dir %_docdir/HTML/sl/kmenuedit/
%doc %_docdir/HTML/sl/kmenuedit/common
%doc %_docdir/HTML/sl/kmenuedit/*.docbook
%doc %_docdir/HTML/sl/kmenuedit/*.bz2
#
#
%dir %_docdir/HTML/sl/konqueror/
%doc %_docdir/HTML/sl/konqueror/common
%doc %_docdir/HTML/sl/konqueror/*.docbook
%doc %_docdir/HTML/sl/konqueror/*.png
%doc %_docdir/HTML/sl/konqueror/*.bz2
#
#
%dir %_docdir/HTML/sl/konsole/
%doc %_docdir/HTML/sl/konsole/common
%doc %_docdir/HTML/sl/konsole/*.docbook
%doc %_docdir/HTML/sl/konsole/*.png
%doc %_docdir/HTML/sl/konsole/*.bz2
#
%dir %_docdir/HTML/sl/koshell/
%doc %_docdir/HTML/sl/koshell/common
%doc %_docdir/HTML/sl/koshell/*.docbook
%doc %_docdir/HTML/sl/koshell/*.bz2
#
%dir %_docdir/HTML/sl/kpackage/
%doc %_docdir/HTML/sl/kpackage/common
%doc %_docdir/HTML/sl/kpackage/*.docbook
%doc %_docdir/HTML/sl/kpackage/*.bz2
#
%dir %_docdir/HTML/sl/kpager/
%doc %_docdir/HTML/sl/kpager/common
%doc %_docdir/HTML/sl/kpager/*.docbook
%doc %_docdir/HTML/sl/kpager/*.bz2
#
%dir %_docdir/HTML/sl/ksnapshot/
%doc %_docdir/HTML/sl/ksnapshot/common
%doc %_docdir/HTML/sl/ksnapshot/*.docbook
%doc %_docdir/HTML/sl/ksnapshot/*.bz2
#
%dir %_docdir/HTML/sl/kppp/
%doc %_docdir/HTML/sl/kppp/*.docbook
#
#
%dir %_docdir/HTML/sl/kspell/
%doc %_docdir/HTML/sl/kspell/common
%doc %_docdir/HTML/sl/kspell/*.docbook
%doc %_docdir/HTML/sl/kspell/*.bz2
#
#
%dir %_docdir/HTML/sl/ksysguard/
%doc %_docdir/HTML/sl/ksysguard/common
%doc %_docdir/HTML/sl/ksysguard/*.docbook
%doc %_docdir/HTML/sl/ksysguard/*.bz2
#
#
%dir %_docdir/HTML/sl/kwrite/
%doc %_docdir/HTML/sl/kwrite/common
%doc %_docdir/HTML/sl/kwrite/*.docbook
%doc %_docdir/HTML/sl/kwrite/*.bz2
#
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/ktuberling/
%dir %_datadir/apps/ktuberling/sounds/
%dir %_datadir/apps/ktuberling/sounds/sl/
%doc %_datadir/apps/ktuberling/sounds/sl/*.wav
#
#
#
%dir %_datadir/locale/
%dir %_datadir/locale/sl/
%_datadir/locale/sl/charset
%_datadir/locale/sl/*.desktop
%_datadir/locale/sl/*.png
#
#
%dir %_datadir/locale/sl/LC_MESSAGES/
%_datadir/locale/sl/LC_MESSAGES/*.mo


%changelog
* Fri Sep 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-1mdk
- kde 2.2.1

* Tue Aug 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-2mdk
- remove koffice messages

* Tue Aug 07 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-1mdk
- KDE 2.2

* Sun Jul 01 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.1mdk
- KDE 2.2.beta1

* Sun Jun 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.alpha2.1mdk
- KDE 2.2.alpha2

* Wed Mar 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-2mdk
- Add Obsoletes tag to allow clean update

* Tue Mar 22 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-1mdk
- KDE 2.1.1
